// pages/extendProduct/extendProduct.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    currentTab: 0,
    isAllSelect: false,
    showShareModal:false,
    shareShowPic: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.selectComponent('#getPoster').getAvaterInfo()    
  },

  //滑动切换
  swiperTab: function (e) {
    const { current } = e.detail
    if (this.data.currentTab == current) {
      return false;
    } else {
      this.setData({
        currentTab: current
      })
    }
    // 可使用
    if (current == 0) {
      // this.getCouponList(1, 10, 1)
    } else if (current == 1) {
      // 失效
      // this.getCouponList(1, 10, 0)
    }
  },
  // 点击切换
  clickTab: function (e) {
    const { current } = e.target.dataset
    if (this.data.currentTab == current) {
      return false;
    } else {
      this.setData({
        currentTab: current,
        // couponList: [],  // 清空数据
        // invalidCouponList: [],
      })
    }
    // 可使用
    if (current == 0) {
      // this.getCouponList(1, 10, 1)
    } else if (current == 1) {
      // 失效
      // this.getCouponList(1, 10, 0)
    }
  },

  //全选
  allSelect() {
    this.setData({
      isAllSelect: !this.data.isAllSelect
    })
    if (this.data.isAllSelect) {
      this.setData({
        cartList: this.data.cartList.map((item) => {
          item.isSelect = true
          return item
        })
      })
    } else {
      this.setData({
        cartList: this.data.cartList.map((item) => {
          item.isSelect = false
          return item
        })
      })
    }
  },

  //快速分享
  onTapShare(){
    console.log('111')
    this.setData({
      showShareModal: true
    })
  },

  //生成卡片
  onTapPoster(){
    this.selectComponent('#getPoster').getAvaterInfo()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})